org.apache.solr.cloud.overseer

## Class ClusterStateMutator

- java.lang.Object
- - org.apache.solr.cloud.overseer.ClusterStateMutator

-     public class ClusterStateMutator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ZkStateReader` | `zkStateReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterStateMutator(ZkStateReader zkStateReader)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZkWriteCommand` | `createCollection(ClusterState clusterState, ZkNodeProps message)`
    `ZkWriteCommand` | `deleteCollection(ClusterState clusterState, ZkNodeProps message)`
    `static String` | `getAssignedCoreNodeName(DocCollection collection, String forNodeName, String forCoreName)`
    `static String` | `getAssignedId(DocCollection collection, String nodeName)`
    `static void` | `getShardNames(Integer numShards, List<String> shardNames)`
    `static void` | `getShardNames(List<String> shardNames, String shards)`
    `ZkWriteCommand` | `migrateStateFormat(ClusterState clusterState, ZkNodeProps message)`
    `static ClusterState` | `newState(ClusterState state, String name, DocCollection collection)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zkStateReader

          protected final ZkStateReader zkStateReader

  - ### Constructor Detail

    - #### ClusterStateMutator

          public ClusterStateMutator(ZkStateReader zkStateReader)

  - ### Method Detail

    - #### createCollection

          public ZkWriteCommand createCollection(ClusterState clusterState,
                                                 ZkNodeProps message)

    - #### deleteCollection

          public ZkWriteCommand deleteCollection(ClusterState clusterState,
                                                 ZkNodeProps message)

    - #### newState

          public static ClusterState newState(ClusterState state,
                                              String name,
                                              DocCollection collection)

    - #### getShardNames

          public static void getShardNames(Integer numShards,
                                           List<String> shardNames)

    - #### getShardNames

          public static void getShardNames(List<String> shardNames,
                                           String shards)

    - #### getAssignedId

          public static String getAssignedId(DocCollection collection,
                                             String nodeName)

    - #### getAssignedCoreNodeName

          public static String getAssignedCoreNodeName(DocCollection collection,
                                                       String forNodeName,
                                                       String forCoreName)

    - #### migrateStateFormat

          public ZkWriteCommand migrateStateFormat(ClusterState clusterState,
                                                   ZkNodeProps message)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.